"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertFlowObjectTypeAnnotation = convertFlowObjectTypeAnnotation;

function flowTypeAnnotationToString(type) {
  switch (type.type) {
    case "BooleanTypeAnnotation":
      return "boolean";
    case "NumberTypeAnnotation":
      return "number";
    case "StringTypeAnnotation":
      return "string";
    default:
      return "any";
  }
}

// convert an ObjectTypeAnnotation to a js object
function convertFlowObjectTypeAnnotation(objectType) {
  return objectType.properties.reduce(function (obj, property) {
    var key = property.key.name;
    var value = property.value;
    if (value.type === "ObjectTypeAnnotation") {
      obj[key] = convertFlowObjectTypeAnnotation(value);
    } else {
      obj[key] = flowTypeAnnotationToString(value);
    }
    return obj;
  }, {});
}