"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isTypeImport = isTypeImport;
exports.parseImport = parseImport;

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _resolve = require("babel-core/lib/helpers/resolve");

var _resolve2 = _interopRequireDefault(_resolve);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isTypeImport(node) {
  return node.importKind === "type" || node.importKind === "typeof";
}

function parseImport(node, currentFilename) {
  if (node.source.type !== "StringLiteral") {
    return null;
  }

  var importFile = node.source.value;
  if (importFile[0] === ".") {
    // turn a relative path into an absolute path
    importFile = _path2.default.resolve(_path2.default.dirname(currentFilename), importFile);
  }
  var filename = (0, _resolve2.default)(importFile);

  if (filename) {
    var _variables = node.specifiers.map(function (_) {
      return _.local.name;
    });
    return { filename: filename, variables: _variables };
  }

  return null;
}