"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseFile = parseFile;

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _babelCore = require("babel-core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// see pipeline.transform at https://github.com/babel/babel/blob/master/packages/babel-core/src/api/node.js#L34
var pipeline = new _babelCore.Pipeline();
var pretransform = pipeline.pretransform.bind(pipeline);

// options to pass to babel when parsing a file, includes all syntax plugins from es2015, react and stage-0
var parseFileBabelOptions = {
  plugins: ["syntax-async-functions", "syntax-class-constructor-call", "syntax-class-properties", "syntax-decorators", "syntax-do-expressions", "syntax-exponentiation-operator", "syntax-export-extensions", "syntax-flow", "syntax-function-bind", "syntax-jsx", "syntax-object-rest-spread", "syntax-trailing-function-commas"]
};

function parseFile(filename, visitor, state) {
  var code = _fs2.default.readFileSync(filename, "utf8");
  var file = pretransform(code, parseFileBabelOptions);

  (0, _babelCore.traverse)(file.ast, visitor, null, state);
}